<?php
/**
 * Elgg logout action for use with UNL CAS
 * 
 * @package Elgg
 * @subpackage Core
 * @overwritten cas_auth_unl/actions/logout.php
 * @author Curverider Ltd
 * @link http://elgg.org/
 */    
	
// Save this session value since the next step wipes it out
$loggedInWithCas = $_SESSION['loggedInWithCas'];

// Log out
$result = logout();
            
// Set the system_message as appropriate      
if ($result) {
    system_message(elgg_echo('logoutok'));
} else {
    register_error(elgg_echo('logouterror'));
}
	
// We've destoyed all the Elgg session data, now do CAS logout if neccessary
// Due to problems getting the SimpleCAS logout to work, we're just forwarding to the right URL since
//   the Elgg logout function above took care of destroying the session, which is all the SimpleCAS logout 
//   was doing anyway.
if ($loggedInWithCas) { 
    global $CONFIG;
    forward('https://login.unl.edu/cas/logout?url='.$CONFIG->url);
}
