<?php
	/**
	 * Elgg customindex plugin
	 * This plugin substitutes the frontpage with a custom one
	 * 
	 * @package Customdash
	 * @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU Public License version 2
	 * @author Boris Glumpler
	 * @copyright Boris Glumpler 2008
	 * @link /travel-junkie.com
	 */


	//Put some extra CSS below if needed
?>
/************************************************/
/* this is the elgg wrapper - we reset it here to cancel it out */
	#one_column {
		-moz-border-radius: 0px;
		background:transparent;
		padding:0;
		margin:0;
	}
/************************************************/	
/* splash rotation */	
	#splashwrapper {
		border-top:1px solid #ddd;
		border-bottom:1px solid #ddd;
		padding:1px 0;
		margin:10px 0 0 0;
	}
	#splash {
		height:480px;
		width:940px;
		margin:0;
		padding:0;
	}
	#headlines {
		height:480px;
		width: 320px;
		float:right;
		z-index:10;
	}
	#headlines>div {
		padding-left:20px;
		position:relative;
	}
	#headlines>div.activepanel {
		background:url('../mod/customindex/splash_selector.png') no-repeat 0 30%;
		z-index:201;
	}
	#headlines>div.activepanel div.splash_headline,
	#headlines div.splash_headline:hover {
		background:#b80302;
		color:#fff;
		border-top:1px solid #660000;
	}

	#headlines div.splash_headline {
		background:#f5f5f5;
		height:215px;
		border-top:1px solid #ccc;
		color:#666;
		padding:12px 24px;
	}
	#headlines div.splash_headline a, #headlines div.splash_headline a {
		text-decoration:none;
		color:#cc0000!important;
	}
	#headlines>div.activepanel a, #headlines>div:hover a, #headlines>div.activepanel a:focus, #headlines>div:hover a:focus {
		text-decoration:underline;
		color:#fff!important;
	}
	#headlines div.splash_headline a:hover {
		text-decoration:none;
		color:#fff!important;
	}
/* original code for three equal panels on the right side
	#headline1 div.splash_headline {
		border:0 !important;
		height:136px !important;
	}
end three equal panels */

/* code for the lopsided witw panels */
	#headline1 div.splash_headline {
		border:0 !important;
		height:260px !important;
	}
	#headline2 div.splash_headline, #headline3 div.splash_headline  {
		
	}	
/*end of the lopsided code*/
	
	#headlines {
		font-size:0.9em;
		line-height:1.2em;
	}
	#headlines h4 {
		font-size:1.4em;
	}
	#headlines>div.activepanel h4, #headlines>div:hover h4{
		color:#fff;
	}
	#headlines>div:hover {
		cursor:pointer;
	}
	
	#posters {
		position:relative;
	}
	#posters h2, #posters h3 {
		color:#ddd;
	}
	#posters>div {
		width:640px;
		height:480px;
		position:absolute;
	}
	#poster1 {
		z-index:5;
	}
	#poster2 {
		z-index:0;
		color:#fff;
		background:url('../mod/customindex/putyourself_background.jpg');
	}
	#poster2>div {
		position:absolute;
		border:2px solid #333;
		-moz-border-radius:3px;
		padding:10px;
	}
	#poster3 {
		z-index:0;
		background:black;
	}


/* member icon */
	.member_icon {
		float:left;
		cursor:pointer;
		margin:0 6px 6px 0;
	}

/*the popup info bubble on the globe */
	#FE_InfoWindow {
		margin:35px 0 0 15px !important;
		margin:0 0 0 15px !important\9;
		z-index:50;
	}
	#witw_wrapper {
		color: #333;
		font-family: helvetica, arial, sans-serif;
	}
	#witw_wrapper a {
		color: #ba0000;
	}
	#witw_wrapper a:focus {
		color: #cc0000;
	}
	#witw_wrapper img.witw_icon {
		float:left;
		padding: 0 6px 6px 0;
	}
	#witw_wrapper h1 {
		font-size:16px;
		padding-bottom: 4px;
	}
	#witw_wrapper p.witw_location {
		font-style:italic;
		font-size: 11px;
		color:green;
		padding-bottom: 4px;
	}
	#witw_wrapper p.witw_title {
		font-size: 12px;
	}
	#witw_wrapper p.witw_comment {
		font-size: 11px;
		line-height: 14px;
		padding-top:5px;
		clear:left;
	}
/**The video poster stuff**/
#promoVideoList {
	position:absolute;
	bottom:5px;
	width:640px;
	left:5px;
	text-align:center;
}
#promoVideoList a {
	margin:0px 0px 0px 0px;
}
/************************************************/
/* the stuff below the splash headlines,posters */
	
	#maincontent #indexheading {
		border-bottom: 1px solid #e6e6e6;
		margin-bottom:20px;
		padding-bottom:0;
		font-size:2.1em;
	}
/*login*/
	#myunlsignin {
		-moz-border-radius:4px;
		background:#6cbd45;
		color:#fff;
		font-weight:bold;
		font-size:14px;
	}
	#login-box {
		width:220px;
	}
	#login-box form {
		width: 180px;
	}
	#login-box .login-textarea {
		width:140px;
	}
	#maincontent #login-box p.login-box {
		margin:0;
		padding:10px 0 0 0;
	}
	#maincontent #login-box p.login-box span {
		color:gray;
		font-size:1.1em;
	}
/* dynamically generated lists */
	div.index_item {
		margin-bottom:12px;
	}
	div.index_item_icon {
		float:left;
	}
	div.index_item_name {
		margin-left:50px;
		min-height:40px;
	}
	div.index_item_name span.membercount {
		margin-left:10px;
		font-style: italic;
		font-size:0.9em;
	}
/**Spotlight Huskers**/
span.name{font-size:1.1em;padding-top:0px;}
span.title{font-size:0.85em;font-style:italic;}
span.location{font-size:0.75em;color:#3A8103;}


/* 
    root element for the scrollable. 
    when scrolling occurs this element stays still. 
*/ 
div.scrollable { 
 
    /* required settings */ 
    position:relative; 
    overflow:hidden; 
    width: 538px; 
    height:90px; 
} 
 
/* 
    root element for scrollable items. Must be absolutely positioned 
    and it should have a extremely large width to accomodate scrollable items. 
    it's enough that you set width and height for the root element and 
    not for this element. 
*/ 
div.scrollable div.items { 
    /* this cannot be too large */ 
    width:20000em; 
    position:absolute; 
} 
 
/* 
    a single item. must be floated in horizontal scrolling. 
    typically, this element is the one that *you* will style 
    the most. 
*/ 
div.scrollable div.items div { 
    float:left; 
}


/* this makes it possible to add next button beside scrollable */
.scrollable {
	float:left;	
}

/* prev, next, prevPage and nextPage buttons */
a.browse {
	background:url(<?php echo $CONFIG->url ?>mod/customindex/hori_large.png) no-repeat;
	display:block;
	width:30px;
	height:30px;
	float:left;
	margin-top:20px;
	cursor:pointer;
	font-size:1px;
}

/* right */
a.right 				{ background-position: 0 -30px; clear:right; margin-right: 27px;}
a.right:hover 		{ background-position:-30px -30px; }
a.right:active 	{ background-position:-60px -30px; } 


/* left */
a.left				{ margin-left: 5px; margin-right: 5px; } 
a.left:hover  		{ background-position:-30px 0; }
a.left:active  	{ background-position:-60px 0; }

/* up and down */
a.up, a.down		{ 
	background:url(http://static.flowplayer.org/tools/img/scrollable/arrow/hori_large.png) no-repeat; 
	float: none;
	margin: 10px 50px;
}

/* up */
a.up:hover  		{ background-position:-30px 0; }
a.up:active  		{ background-position:-60px 0; }

/* down */
a.down 				{ background-position: 0 -30px; }
a.down:hover  		{ background-position:-30px -30px; }
a.down:active  	{ background-position:-60px -30px; } 


/* disabled navigational button */
a.disabled {
	visibility:hidden !important;		
} 	

div.items a.active {
	border: none;
}