<?php
/**
 * Edit group profile
 * 
 * @package FlexGroupProfile
 * @license http://www.gnu.org/licenses/old-licenses/gpl-2.0.html GNU Public License version 2
 * @author Kevin Jardine <kevin@radagast.biz>
 * @copyright Radagast Solutions 2008
 * @link http://radagast.biz/
 */

// Load form model

require_once(dirname(dirname(dirname(dirname(dirname(dirname(__FILE__)))))) . "/form/models/model.php");

// Load form profile model
require_once(dirname(dirname(dirname(dirname(dirname(dirname(__FILE__)))))) . "/form/models/profile.php");

// Load flexgroupprofile model
require_once(dirname(dirname(dirname(dirname(dirname(__FILE__))))) . "/models/model.php");

//TODO - merge the profile config functions below with the new group_configure plugin

// this ugly bit of checking is to handle a form resubmit
// in case of error
// TODO: do this better

$group = $vars['entity'];
if ($group instanceof ElggGroup) {
	$group_owner_id = $group->getOwner();
} else {
	$group_owner_id = 0;
}
if ($vars['group_name']) {
	$group_name = $vars['group_name'];
} else {
	if ($group) {
		$group_name = $group->name;
	} else {
		$group_name = '';
	}
}
if ($vars['description']) {
	$group_description = $vars['description'];
} else {
	if ($group) {
		$group_description = $group->description;
	} else {
		$group_description = '';
	}
}
if ($vars['group_guid']) {
	$group_guid = $vars['group_guid'];
} else {
	if ($group) {
		$group_guid = $group->guid;
	} else {
		$group_guid = 0;
	}
}

if ($vars['group_profile_category']) {
	$group_profile_category = $vars['group_profile_category'];
} else {
	if ($group) {
		$group_profile_category = $group->group_profile_category;
	} else {
		$group_profile_category = null;
	}
}

if ($vars['membership']) {
	$membership = $vars['membership'];
} else {
	if ($group) {
		$membership = $group->membership;
	} else {
		$membership = ACCESS_PUBLIC;
	}
}

$group_config = flexgroupprofile_get_profile_config($group_profile_category);

if ($group_profile_category) {
	$fp = form_get_profile_config($group_profile_category,'group');
} else {
	$fp = '';
}
?>
<div class="contentWrapper">
<?php 
if (!$group) {
	if ( $fp && trim($fp->new_group_description)) {
		echo $fp->new_group_description;
	} else { 
		echo elgg_echo("flexgroupprofile:new_group_description");
	}
} else { 
	if ($fp && trim($fp->edit_group_description)) {
		echo $fp->edit_group_description; 
	} else {
		echo elgg_echo("flexgroupprofile:edit_group_description");
	}
} 
?>
</div>
<div class="contentWrapper">
<form action="<?php echo $vars['url']; ?>action/flexgroupprofile/edit" enctype="multipart/form-data" method="post">
<?php echo elgg_view('input/securitytoken'); ?>
	<p>
		<label><?php if ($fp && $fp->group_icon) {echo $fp->group_icon;} else {echo elgg_echo("groups:icon");} ?><br />
		<?php

			echo elgg_view("input/file",array('internalname' => 'icon'));
		
		?>
		</label>
	</p>
	
	<p>
		<label>
			<?php if ($fp && $fp->group_name) {echo $fp->group_name;} else { echo elgg_echo("groups:name"); } ?><br />
			<?php echo elgg_view("input/text",array(
															'internalname' => 'name',
															'value' => $group_name,
															)); ?>
		</label>
	</p>
	<p>
		<label>
			<?php if ($fp && $fp->group_description) {echo $fp->group_description;} else { echo elgg_echo("groups:description"); } ?><br />
			<?php echo elgg_view("input/longtext",array(
															'internalname' => 'description',
															'value' => $group_description,
															)); ?>
		</label>
	</p>
<?php
	$form = flexgroupprofile_get_profile_form($group,$group_profile_category);
	if ($form) {
		$tab_data = form_get_data_for_profile_edit_form($form, $group, $group_profile_category,$vars['data']);
		echo elgg_view('form/forms/display_form_content',array('tab_data'=>$tab_data,'description'=>'','preview'=>0,'form'=>$form,'form_data_id'=>0));
	} else {
		// it makes more sense to do nothing if there is no group profile form defined
        // so commenting this out
		//echo '<p>'.elgg_echo('form:error_no_group_profile_form').'</p>';
	}
	
	if (isadminloggedin() || ($group_config->group_owner_can_transfer_ownership && ($group_owner_id == get_loggedin_userid()))) {
		// let admins or optionally group owners transfer ownership
		if ($vars['group_owner_username']) {
			$group_owner_username = $vars['group_owner_username'];
		} else if ($group_owner_id) {
			$group_owner_username = get_entity($group_owner_id)->username;
		} else {
			$group_owner_username = get_loggedin_user()->username;
		}
?>
<br />
		<label>
			<?php echo elgg_echo('flexgroupprofile:owner_label'); ?><br />
			<?php echo elgg_view('input/text', array('internalname' => 'group_owner_username','value' => $group_owner_username)); ?>
		</label>
		<p class="description"><?php echo elgg_echo('flexgroupprofile:owner_description');?></p>
<?php
}

$flexgroupprofile_membership = get_plugin_setting('membership', 'flexgroupprofile');
if ($flexgroupprofile_membership == 'open') {
	echo elgg_view('input/hidden',array('internalname' => 'membership','value' => ACCESS_PUBLIC));
} else if ($flexgroupprofile_membership == 'closed') {
	echo elgg_view('input/hidden',array('internalname' => 'membership','value' => ACCESS_PRIVATE));
} else {
 ?>

	<p>
		<label>
			<?php echo elgg_echo('groups:membership'); ?><br />
			<?php echo elgg_view('input/access', array('internalname' => 'membership','value' => $membership, 'options' => array( ACCESS_PRIVATE => elgg_echo('groups:access:private'), ACCESS_PUBLIC => elgg_echo('groups:access:public')))); ?>
		</label>
	</p>
	
	<?php
}
	if (get_plugin_setting('hidden_groups', 'groups') == 'yes')
	{
?>

	<p>
		<label>
			<?php echo elgg_echo('groups:visibility'); ?><br />
			<?php 
			
			$this_owner = $vars['entity']->owner_guid;
			if (!$this_owner) $this_owner = get_loggedin_userid();
			
			$access = array(ACCESS_FRIENDS => elgg_echo("access:friends:label"), 1 => elgg_echo("LOGGED_IN"), 2 => elgg_echo("PUBLIC"));
			$collections = get_user_access_collections($this_owner);
			if (is_array($collections))
			{
				foreach ($collections as $c)
					$access[$c->id] = $c->name;
			}
			
			echo elgg_view('input/access', array('internalname' => 'vis', 'value' =>  ($vars['entity']->access_id ? $vars['entity']->access_id : ACCESS_PUBLIC), 'options' => $access)); 
			
			
			?>
		</label>
	</p>

<?php 	
	}
	
	?>
    <?php
		if (isset($vars['config']->group_tool_options)) {
			foreach($vars['config']->group_tool_options as $group_option) {
				$group_option_default_value = '';
				$tool_option = '';
				$group_option_toggle_name = $group_option->name."_enable";
				if ($group->group_profile_category) {
					$tool_option = flexgroupprofile_get_configuration($group->group_profile_category,$group_option->name);
					if ($tool_option == 'default') {
						$group_option_default_value = 'yes';
					} else if ($tool_option == 'no_default') {
						$group_option_default_value = 'no';
					}
				}
				if ($tool_option == 'exclude') {
					echo elgg_view("input/hidden",array(
									"internalname" => $group_option_toggle_name,
									"value" => 'no'));
				} else {
					if (!$group_option_default_value) {
						if ($group_option->default_on) {
							$group_option_default_value = 'yes';
						} else {
							$group_option_default_value = 'no';
						}
					}				
?>	
    <p>
			<label>
				<?php echo $group_option->label; ?><br />
				<?php

					echo elgg_view("input/radio",array(
									"internalname" => $group_option_toggle_name,
									"value" => $vars['entity']->$group_option_toggle_name ? $vars['entity']->$group_option_toggle_name : $group_option_default_value,
									'options' => array(
														elgg_echo('groups:yes') => 'yes',
														elgg_echo('groups:no') => 'no',
													   ),
													));
				?>
			</label>
	</p>
	<?php
				}
		}
	}
	?>
	<p>
		<?php
			if ($group_guid)
			{ 
			?><input type="hidden" name="group_guid" value="<?php echo $group_guid; ?>" /><?php 
			}
		?>
		<input type="hidden" name="user_guid" value="<?php echo page_owner_entity()->guid; ?>" />
		<input type="submit" class="submit_button" value="<?php echo elgg_echo("save"); ?>" />
		
	</p>

</form>
</div>

<div class="contentWrapper">
<div id="delete_group_option">
	<form action="<?php echo $vars['url'] . "action/groups/delete"; ?>">
	<?php echo elgg_view('input/securitytoken'); ?>
		<?php
			if ($group_guid)
			{ 
				$warning = elgg_echo("groups:deletewarning");
			?>
			<input type="hidden" name="group_guid" value="<?php echo $group_guid; ?>" />
			<input type="submit" name="delete" value="<?php echo elgg_echo('groups:delete'); ?>" onclick="javascript:return confirm('<?php echo $warning; ?>')"/><?php 
			}
		?>
	</form>
</div><div class="clearfloat"></div>
</div>
